net.minecraftforge.event.world

## Enum NoteBlockEvent.Octave

- java.lang.Object
- - java.lang.Enum<NoteBlockEvent.Octave>
  - - net.minecraftforge.event.world.NoteBlockEvent.Octave

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NoteBlockEvent.Octave>
  Enclosing class:
    NoteBlockEvent

      public static enum NoteBlockEvent.Octave
      extends java.lang.Enum<NoteBlockEvent.Octave>

  Describes the Octave of a Note being played by a Noteblock. Together with `NoteBlockEvent.Note` it fully describes the note.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH`
    `LOW`
    `MID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoteBlockEvent.Octave` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NoteBlockEvent.Octave[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOW

          public static final NoteBlockEvent.Octave LOW

    - #### MID

          public static final NoteBlockEvent.Octave MID

    - #### HIGH

          public static final NoteBlockEvent.Octave HIGH

  - ### Method Detail

    - #### values

          public static NoteBlockEvent.Octave[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoteBlockEvent.Octave c : NoteBlockEvent.Octave.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoteBlockEvent.Octave valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null